cancel
Showing results for 
Search instead for 
Did you mean: 

Fatal Error Installing on XXamp

SOLVED

Fatal Error Installing on XXamp

Was installing Magento 2 on xxamp, extracted all the files into htdocs. When I go to localhost/magento I get a fatal error:

 

Fatal error: Declaration of Zend\Mvc\Controller\PluginManager::get($name, ?array $options = NULL) must be compatible with Zend\ServiceManager\AbstractPluginManager::get($name, $options = Array, $usePeeringServiceManagers = true) in C:\xampp\htdocs\magento\vendor\zendframework\zend-mvc\src\Controller\PluginManager.php on line 211

Tags (3)
5 REPLIES

Re: Fatal Error Installing on XXamp

Hi @Porksofa,

 

Is a vanilla installation or your instance has some 3rd-party or custom modules?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Fatal Error Installing on XXamp

It is completely vanilla

Re: Fatal Error Installing on XXamp

I have also the same issue

Can someone tell me what to do to solve this issue

Re: Fatal Error Installing on XXamp

Magento 2 dosen't support the version of php that the latest xampp has
packed with it. The problem should be fixed if you download an older
version of xampp that has a php version packed compatible with magento 2.

Re: Fatal Error Installing on XXamp

please share download link for xampp which support to magento 2